Bug 879840 - Disk benchmark ends with error
Summary: Disk benchmark ends with error
Keywords:
Status: CLOSED DUPLICATE of bug 875485
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility
Version: 18
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-24 19:04 UTC by Zdenek Chmelar
Modified: 2013-03-06 04:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-26 15:43:03 UTC
Type: Bug


Attachments (Terms of Use)
Error message with write test ON (24.46 KB, image/png)
2012-11-24 19:04 UTC, Zdenek Chmelar
no flags Details
Error message with write test OFF (16.61 KB, image/png)
2012-11-24 19:05 UTC, Zdenek Chmelar
no flags Details
Another error message with write test ON (18.16 KB, image/png)
2012-11-24 19:06 UTC, Zdenek Chmelar
no flags Details

Description Zdenek Chmelar 2012-11-24 19:04:44 UTC
Created attachment 651157 [details]
Error message with write test ON

Description of problem:
I tried to execute benchmark of mounted virtual drivers/volumes in F18 running as Virtual machine.
Either with or without write test enabled, all attempts ended with errors (please see attached snapshots to see details of these errors)


Version-Release number of selected component (if applicable):
gnome-disk-utility-3.6.1-1.fc18.x86_64

How reproducible:
Always


Steps to Reproduce:
1. In Disks tool, open "More actions..." menu (button of 2 gears)
2. Choose "Benchmark Drive..." or "Benchmark Volume..." (depending if drive or volume was chosen).
3. Click "Start Benchmark..." button
4. Execute action with "Start Benchmarking..." button (with or without checked "Also perform write-benchmark")
5. Authorize yourself (if requested)
6. Error pops up
  
Actual results:
Benchmark execution ends with an error

Expected results:
a) If benchmark of mounted drivers / volumes is not allowed, the benchmark possibility should be grey (inactive) in "More actions..." menu or some info message should pop up and inform user about needed prerequisites to execute the test

b) If benchmark is executable on mounted drivers / volumes, the benchmark execution should be successfully done.

Additional info:
Please let me know if more info is needed (logs)

Thanks to have a look at it in advance!
Zdenek

Comment 1 Zdenek Chmelar 2012-11-24 19:05:47 UTC
Created attachment 651158 [details]
Error message with write test OFF

Comment 2 Zdenek Chmelar 2012-11-24 19:06:39 UTC
Created attachment 651159 [details]
Another error message with write test ON

Comment 3 Zdenek Chmelar 2012-11-24 19:14:32 UTC
I just found an SELinux error that's most probably the cause of this incident

"SELinux is preventing /usr/bin/dbus-daemon from read access on the blk_file /dev/vda3"

Bug #875485

Comment 4 David Zeuthen 2012-11-26 15:43:03 UTC
Yes, this is a duplicate of bug 875485 so closing as DUPLICATE. For the suggestion in comment 0, I've filed an upstream bug about this https://bugzilla.gnome.org/show_bug.cgi?id=689088 (as always, please always use the upstream bugzilla unless it's Fedora specific).

*** This bug has been marked as a duplicate of bug 875485 ***


Note You need to log in before you can comment on or make changes to this bug.